Bug 482961 - openoffice.orrg-writer crashes
openoffice.orrg-writer crashes
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 20:22 EST by John Hedges
Modified: 2009-03-09 11:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:14:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compressed tar of the .openoffice.org directory that caused the crashing (561.42 KB, application/octet-stream)
2009-02-06 21:46 EST, John Hedges
no flags Details

  None (edit)
Description John Hedges 2009-01-28 20:22:06 EST
Description of problem:

openoffice.orrg-writer crashes
Version-Release number of selected component (if applicable):


How reproducible:

Every time for me. It starts but crashes when I try to open a file. I can not use it. I include the OOo crash dump
I hope it is useful.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

(I)    x.org loaded video driver of...
(WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be disabled.
(II) Loading /usr/lib64/xorg/modules/drivers//radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-7-x86_64
(VI)   kernel is: Linux 2.6.27.12-170.2.5.fc10.x86_64 #1 SMP Wed Jan 21 01:33:24 EST 2009 x86_64 x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.0-9.10.fc10-x86_64
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda10            50394964   9777548  38057460  21% /home
/dev/sda8             58466620   9749240  45747368  18% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
IcedTea6 1.4 (fedora-7.b12.fc10-x86_64) Runtime Environment (build 1.6.0_0-b12)
OpenJDK 64-Bit Server VM (build 10.0-b19, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x36ba637c2b: 0x1eb8a8: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x37c2b
0x36ba638843: 0x1eb8a8: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x38843
0x36b6632f90: 0x16bb40: /lib64/libc.so.6 + 0x32f90
0x7f2a9c12f074: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x188074
0x7f2a9c0d35bf: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x12c5bf
0x7f2a9c0d369a: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x12c69a
0x7f2a9c0c23f9: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x11b3f9
0x7f2a9c0d6bce: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x12fbce
0x7f2a9c0d6cda: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x12fcda
0x7f2a9c0d6c04: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x12fc04
0x7f2a9c0d6d4c: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x12fd4c
0x7f2a9c0caa8a: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x123a8a
0x7f2a9c100a6c: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x159a6c
0x7f2a9c10318d: 0x20eae8: /usr/lib64/openoffice.org3/program/../basis-link/program/configmgr2.uno.so + 0x15c18d
0x7f2a97f8337c: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x8937c
0x7f2a97f8f51c: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x9551c
0x7f2a97f8fcef: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x95cef
0x7f2ab00a3794: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2ae794
0x7f2aafff6bec: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x201bec
0x7f2ab0006001: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x211001 (SfxBaseModel::Notify(SfxBroadcaster&, SfxHint const&) + 0xf1)
0x7f2aafbb4df4: 0x122710: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvllx.so + 0xe5df4 (SfxBroadcaster::Broadcast(SfxHint const&) + 0x34)
0x7f2ab0072050: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x27d050 (SfxBaseController::dispose() + 0x570)
0x7f2a97fe9276: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0xef276
0x7f2ab0060ecd: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x26becd
0x7f2ab0069d69: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x274d69 (SfxTopViewFrame::SfxTopViewFrame(SfxFrame*, SfxObjectShell*, unsigned short) + 0x1f9)
0x7f2ab006b8fa: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2768fa (SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x5da)
0x7f2aaffb9990: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x1c4990
0x7f2ab006bc91: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x276c91 (SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x971)
0x7f2ab0049b3c: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x254b3c
0x7f2a9806ac01: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x170c01
0x7f2a9806b3c8: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x1713c8
0x7f2a9805f4fb: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x1654fb
0x7f2a9805fa28: 0x305868: /usr/lib64/openoffice.org3/program/../basis-link/program/libfwklx.so + 0x165a28
0x6d2201: 0x14ded8: /usr/lib64/openoffice.org3/program/../basis-link/program/libcomphelp4gcc3.so + 0xd0201 (comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, int, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x3a1)
0x7f2aafef92d1: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x1042d1
0x7f2ab0081773: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28c773
0x7f2ab0082812: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28d812 (SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short, SfxItemSet const&) + 0x192)
0x7f2aafefa000: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x105000
0x7f2ab0081773: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28c773
0x7f2ab0081dee: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x28cdee
0x7f2ab00ac43a: 0x401988: /usr/lib64/openoffice.org3/program/../basis-link/program/libsfxlx.so + 0x2b743a
0x7f2aae4e4ab9: 0x3f0dc8: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0x2d8ab9
0x7f2aa58e255a: 0x8cc30: /usr/lib64/openoffice.org/basis3.0/program/libvclplug_genlx.so + 0x5f55a (SalDisplay::DispatchInternalEvent() + 0xba)
0x7f2aa5f551bf: 0x54ea8: /usr/lib64/openoffice.org/basis3.0/program/libvclplug_gtklx.so + 0x191bf
0x36b7e3779b: 0xdf840: /lib64/libglib-2.0.so.0 + 0x3779b (g_main_context_dispatch + 0x23b)
0x36b7e3af6d: 0xdf840: /lib64/libglib-2.0.so.0 + 0x3af6d
0x36b7e3b12b: 0xdf840: /lib64/libglib-2.0.so.0 + 0x3b12b (g_main_context_iteration + 0x6b)
0x7f2aa5f55355: 0x54ea8: /usr/lib64/openoffice.org/basis3.0/program/libvclplug_gtklx.so + 0x19355
0x7f2aae2fc0ce: 0x3f0dc8: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf00ce (Application::Yield(bool) + 0x3e)
0x7f2aae2fc147: 0x3f0dc8: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf0147 (Application::Execute() + 0x27)
0xa411f9: 0x74938: /usr/lib64/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x291f9
0x7f2aae3006e4: 0x3f0dc8: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf46e4
0x7f2aae300785: 0x3f0dc8: /usr/lib64/openoffice.org3/program/../basis-link/program/libvcllx.so + 0xf4785 (SVMain() + 0x25)
0xa73ddc: 0x74938: /usr/lib64/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x5bddc (soffice_main + 0x9c)
0x40094b: 0x1028: /usr/lib64/openoffice.org3/program/swriter.bin + 0x94b (main + 0xb)
0x36b661e576: 0x16bb40: /lib64/libc.so.6 + 0x1e576 (__libc_start_main + 0xe6)
0x400879: 0x1028: /usr/lib64/openoffice.org3/program/swriter.bin + 0x879
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff37bff000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00000000003cf000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x0000000000110000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00000000009a4000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x0000000000fca000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x0000000004961000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x000000000123e000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x000000000145b000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x0000000001666000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00000000018da000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x0000000001b23000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x0000000001dbc000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x000000009f2d3000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x0000000001fed000)
	librt.so.1 => /lib64/librt.so.1 (0x00000000021f1000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00000000023fa000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x000000000261a000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x0000000002858000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x0000000002a9b000)
	libvclplug_genlx.so => /usr/lib64/openoffice.org/basis3.0/program/libvclplug_genlx.so (0x0000000002d7c000)
	libvcllx.so => /usr/lib64/openoffice.org/basis3.0/program/libvcllx.so (0x0000000003011000)
	libpsplx.so => /usr/lib64/openoffice.org/basis3.0/program/libpsplx.so (0x000000000360f000)
	libsotlx.so => /usr/lib64/openoffice.org/basis3.0/program/libsotlx.so (0x0000000003907000)
	libutllx.so => /usr/lib64/openoffice.org/basis3.0/program/libutllx.so (0x0000000003b6b000)
	libtllx.so => /usr/lib64/openoffice.org/basis3.0/program/libtllx.so (0x0000000003e06000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00000000040b5000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x0000000004407000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x0000000004683000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x0000000004b8e000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libvos3gcc3.so (0x0000000004dbc000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x0000000004fe3000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00000000053da000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00000000055e1000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00000000058ec000)
	libdl.so.2 => /lib64/libdl.so.2 (0x0000000005afd000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x000000003d97b000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x0000000005d01000)
	libm.so.6 => /lib64/libm.so.6 (0x000000000600b000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x0000000006290000)
	libc.so.6 => /lib64/libc.so.6 (0x00000000064a7000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x0000000006819000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x0000000006a1b000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x0000000006c1d000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x0000000006e22000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00000000bb172000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x0000000007048000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x000000000724a000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x0000000007453000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x000000000765d000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x0000000007879000)
	libz.so.1 => /lib64/libz.so.1 (0x0000000007abd000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x0000000007cd2000)
	/lib64/ld-linux-x86-64.so.2 (0x00000036b6200000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x0000000007efb000)
	libcap.so.2 => /lib64/libcap.so.2 (0x0000000008115000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x0000000008319000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x0000000008521000)
	libi18nisolang1gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x000000000873c000)
	libbasegfxlx.so => /usr/lib64/openoffice.org/basis3.0/program/libbasegfxlx.so (0x0000000008941000)
	libicuuc.so.40 => /usr/lib64/libicuuc.so.40 (0x0000000008bc8000)
	libicule.so.40 => /usr/lib64/libicule.so.40 (0x0000000008f11000)
	libjvmaccessgcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x00000000fca14000)
	libuno_salhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x0000000009146000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x000000000934a000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x0000000009582000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x0000000009783000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x000000000999e000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x0000000009ba0000)
	libicudata.so.40 => /usr/lib64/libicudata.so.40 (0x00007fb52eb12000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00000000547b2000)
...end sample ldd details ...
Comment 1 David Tardon 2009-01-29 03:30:46 EST
dtardon->jh6x: The problem could be in some configuration file. Could you move $HOME/.openoffice.org away and try if it persists? If yes: does it happen for any file or just for one concrete file? If the latter is the case, could you attach it here?

The latest openoffice.org available on F-10 is 3.0.1-15.1.fc10.x86_64 . Could you update your installation and check if the problem is still present here?
Comment 2 John Hedges 2009-01-30 21:15:41 EST
David,

Thanks. Renaming the .openoffice.org directory fixed the problem. I can now open my files. I actually solved a similar problem with xine the same way, so I should have known better. I seldom use swriter or any word processor. I guess there was an issue when I upgraded from Fedora 9 to 10. Because of the time lag I did not correlate. (I use xine and mplayer and vlc a lot.)

Thanks again.


John
Comment 3 Caolan McNamara 2009-01-31 06:11:53 EST
if you still have the original .openoffice.org dir and are willing to share it, then if you tar it up and attach it here we could have a look at why it caused OOo to not start up.
Comment 4 Caolan McNamara 2009-02-04 10:14:26 EST
I'll assume that the original problematic .openoffice.org dir is lost, and so close as insufficient info. But if you do happen to still have it, then attach it here.
Comment 5 John Hedges 2009-02-06 21:46:17 EST
Created attachment 331188 [details]
compressed tar of the .openoffice.org directory that caused the crashing

I hope this is useful to you. I am happy it is working now.

Thanks.


John
Comment 6 David Tardon 2009-02-10 08:23:07 EST
Not too much :( Everything works just fine with your configuration.
Comment 7 Caolan McNamara 2009-03-09 11:03:27 EDT
*** Bug 488428 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.